<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.1
Name: Brieftext
Description: Ein am Anfang des Briefes formulierter Freitext. Der Text soll keine fachlich relevante Information beinhalten.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.2.1-2011-12-19T000000">
   <title>Brieftext</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]
Item: (Brieftext)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section
Item: (Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section"
         id="tmp-20757863-4510-4fd9-a65f-307239d37183">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(Brieftext): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.1'])&gt;=1 ">(Brieftext): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.1'])&lt;=1">(Brieftext): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Brieftext): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(Brieftext): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(Brieftext): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Brieftext): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(Brieftext): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Brieftext): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:entry)&lt;=1">(Brieftext): Element hl7:entry kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.1']
Item: (Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.1']"
         id="tmp-c3d33ee6-1c8b-43ab-9396-334fffc625bb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Brieftext): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.2.1'">(Brieftext): @root MUSS den Wert '1.2.40.0.34.11.1.2.1' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:code
Item: (Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:code"
         id="tmp-8a014f4e-6137-4f3e-8096-eb4693f7a191">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Brieftext): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="@nullFlavor or (@code='BRIEFT' and @codeSystem='1.2.40.0.34.5.40' and @displayName='Brieftext')">(Brieftext): Der Elementinhalt MUSS sein code 'BRIEFT' codeSystem '1.2.40.0.34.5.40' displayName='Brieftext'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:title
Item: (Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:title"
         id="tmp-035204e6-f4f9-4382-ad3a-c68d68129be5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Brieftext): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="text()='Brieftext'">(Brieftext): Der Elementinhalt von 'hl7:title' MUSS ''Brieftext'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:text
Item: (Brieftext)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry
Item: (Brieftext)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry"
         id="tmp-25348bb6-b9e5-418c-aa62-12089b2ee132">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&gt;=1 ">(Brieftext): Element hl7:observationMedia ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.1-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&lt;=1">(Brieftext): Element hl7:observationMedia kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry
Item: (LogoEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry
Item: (LogoEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia
Item: (LogoEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia"
         id="tmp-06360417-c1d1-466f-a742-aba414331ba5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@classCode)='OBS'">(LogoEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@moodCode)='EVN'">(LogoEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&gt;=1 ">(LogoEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&lt;=1">(LogoEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(LogoEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:value)&lt;=1">(LogoEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.2']
Item: (LogoEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.2']"
         id="tmp-d4a9b677-107f-41b6-b388-e285fc179550">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LogoEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.3.2'">(LogoEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value
Item: (LogoEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.1']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value"
         id="tmp-4953c40c-b171-46a6-b351-a77554657e65">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LogoEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@mediaType)='image/png' or string(@mediaType)='image/jpeg'">(LogoEntry): Der Wert von @mediaType MUSS einer der folgenden Kodes enthalten: image/png', 'image/jpeg.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@representation)='B64'">(LogoEntry): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>
