<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.3
Name: Beilagen
Description: Sonstige Beilagen, außer denjenigen Dokumenten, die in „Patientenverfügungen und andere juridische Dokumente“ angegeben sind. Achtung: Ein „Referenzieren“ auf Beilagen ist nicht gestattet. Beigelegte Dokumente/Bilder müssen dem Dokument in technisch eingebetteter Form beiliegen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.2.3-2011-12-19T000000">
   <title>Beilagen</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]
Item: (Beilagen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section
Item: (Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section"
         id="tmp-7685f4c2-0b25-4d24-87e8-3a8d1f369af8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.3'])&gt;=1 ">(Beilagen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.3'])&lt;=1">(Beilagen): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Beilagen): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(Beilagen): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(Beilagen): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Beilagen): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(Beilagen): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Beilagen): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:entry)&lt;=1">(Beilagen): Element hl7:entry kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.3']
Item: (Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.3']"
         id="tmp-a3711865-7b52-4bcd-9f1b-528a02f2365d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Beilagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.2.3'">(Beilagen): @root MUSS den Wert '1.2.40.0.34.11.1.2.3' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:code
Item: (Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:code"
         id="tmp-bce4702e-7b64-49d8-85ba-d84a170725ed">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Beilagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="@nullFlavor or (@code='BEIL' and @codeSystem='1.2.40.0.34.5.40')">(Beilagen): Der Elementinhalt MUSS sein code 'BEIL' codeSystem '1.2.40.0.34.5.40'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:title
Item: (Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:title"
         id="tmp-ef5d6086-b4bd-4be8-9a5d-59769e86542e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Beilagen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="text()='Beilagen'">(Beilagen): Der Elementinhalt von 'hl7:title' MUSS ''Beilagen'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:text
Item: (Beilagen)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry
Item: (Beilagen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry"
         id="tmp-f60f6836-86c3-4528-95db-7811cd7545dd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&gt;=1 ">(Beilagen): Element hl7:observationMedia ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.3-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&lt;=1">(Beilagen): Element hl7:observationMedia kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry
Item: (EingebettetesObjektEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry
Item: (EingebettetesObjektEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia
Item: (EingebettetesObjektEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia"
         id="tmp-3015b6d5-31a6-475d-bacd-a25d26028ef8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@classCode)='OBS'">(EingebettetesObjektEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@moodCode)='EVN'">(EingebettetesObjektEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&gt;=1 ">(EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.1'])&lt;=1">(EingebettetesObjektEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(EingebettetesObjektEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="count(hl7:value)&lt;=1">(EingebettetesObjektEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']
Item: (EingebettetesObjektEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.1']"
         id="tmp-3b9d5236-bda8-4c6c-bde5-085b2aecdfec">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.3.1'">(EingebettetesObjektEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.1' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.1
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value
Item: (EingebettetesObjektEntry)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.3']]/hl7:section/hl7:entry/hl7:observationMedia/hl7:value"
         id="tmp-52c6f5ea-4ff5-410c-a949-6e46a28b3122">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(EingebettetesObjektEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string-length(@mediaType)&gt;0">(EingebettetesObjektEntry): Attribut @mediaType MUSS vorkommen.</assert>
      <let name="theAttValue" value="@mediaType"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-1.2.40.0.34.10.42-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string-length($displayNamesFound)&gt;0">(EingebettetesObjektEntry): Der Wert von mediaType MUSS gewählt werden aus dem Value Set ELGA_Medientyp (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.1-2011-12-19T000000.html"
              test="string(@representation)='B64'">(EingebettetesObjektEntry): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>
