<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.6
Name: Vitalparameter (enhanced)
Description: Informationen zu den Vitalparametern (Körpertemperatur, Puls, Blutdruck, …). Diese Sektion wird hauptsächlich bei Verlegungen von Pflegeheimen in Krankenhäuser oder in Notfällen angewandt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.2.6-2011-12-19T000000">
   <title>Vitalparameter (enhanced)</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]
Item: (VitalparameterEnhanced)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section"
         id="tmp-1edbf005-3e36-41db-9e3a-866943e9db87">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.6'])&gt;=1 ">(VitalparameterEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.6'])&lt;=1">(VitalparameterEnhanced): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'])&gt;=1 ">(VitalparameterEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'])&lt;=1">(VitalparameterEnhanced): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'])&gt;=1 ">(VitalparameterEnhanced): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'])&lt;=1">(VitalparameterEnhanced): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.16'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VitalparameterEnhanced): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(VitalparameterEnhanced): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(VitalparameterEnhanced): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(VitalparameterEnhanced): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(VitalparameterEnhanced): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(VitalparameterEnhanced): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="count(hl7:entry)=0">(VitalparameterEnhanced): Element hl7:entry DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.6']
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.6']"
         id="tmp-d108d4bc-6a44-46c3-8a05-88b588312407">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.2.6'">(VitalparameterEnhanced): @root MUSS den Wert '1.2.40.0.34.11.1.2.6' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.25']"
         id="tmp-26d025a4-879c-463d-bd93-ba29a499d1cf">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.3.25'">(VitalparameterEnhanced): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.25' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']
Item: (VitalparameterEnhanced)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.1.16']"
         id="tmp-098e5286-b7ea-438c-a032-89258ad1ec94">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterEnhanced): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.6-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.1.16'">(VitalparameterEnhanced): @root MUSS den Wert '2.16.840.1.113883.10.20.1.16' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30002
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section
Item: (VitalparameterAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30002
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:code
Item: (VitalparameterAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:code"
         id="tmp-0c0afdbe-4e10-4e1b-bad0-f18a68da5f25">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30002-2011-12-19T000000.html"
              test="@nullFlavor or (@code='8716-3' and @codeSystem='2.16.840.1.113883.6.1')">(VitalparameterAlleEIS): Der Elementinhalt MUSS sein code '8716-3' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30002
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:title
Item: (VitalparameterAlleEIS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:title"
         id="tmp-8199c91f-ea37-40b9-a10a-c895cbe15491">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(VitalparameterAlleEIS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30002-2011-12-19T000000.html"
              test="text()='Vitalparameter'">(VitalparameterAlleEIS): Der Elementinhalt von 'hl7:title' MUSS ''Vitalparameter'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30002
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:text
Item: (VitalparameterAlleEIS)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.6
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.6']]/hl7:section/hl7:entry
Item: (VitalparameterEnhanced)
-->
</pattern>
