<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.13
Name: Allergien, Unverträglichkeiten und Risiken
Description: Beschreibung der Allergien und Medikamentenunverträglichkeiten und deren beobachteten Nebenwirkungen, sowie sonstiger Risiken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.2.2.13-2012-07-14T000000">
   <title>Allergien, Unverträglichkeiten und Risiken</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section"
         id="tmp-0ec6a859-8b3d-4eb0-8999-faa5eb85e02f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.13'])&gt;=1 ">(AllergienUnvertraeglichkeitenRisiken): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.13'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.13'])&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.13'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AllergienUnvertraeglichkeitenRisiken): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:code)&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(AllergienUnvertraeglichkeitenRisiken): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:title)&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AllergienUnvertraeglichkeitenRisiken): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="count(hl7:text)&lt;=1">(AllergienUnvertraeglichkeitenRisiken): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.13']
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.13']"
         id="tmp-796a2761-a24f-48b3-8134-532fdd32d37c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AllergienUnvertraeglichkeitenRisiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.2.13'">(AllergienUnvertraeglichkeitenRisiken): @root MUSS den Wert '1.2.40.0.34.11.2.2.13' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:code
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:code"
         id="tmp-affef642-f7c0-4ae2-b1db-dfd14abe3eef">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AllergienUnvertraeglichkeitenRisiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="@nullFlavor or (@code='48765-2' and @codeSystem='2.16.840.1.113883.6.1')">(AllergienUnvertraeglichkeitenRisiken): Der Elementinhalt MUSS sein code '48765-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:title
Item: (AllergienUnvertraeglichkeitenRisiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:title"
         id="tmp-049480a5-17dc-4998-a8eb-cb4839693f18">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AllergienUnvertraeglichkeitenRisiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.13-2012-07-14T000000.html"
              test="text()='Allergien, Unverträglichkeiten und Risiken'">(AllergienUnvertraeglichkeitenRisiken): Der Elementinhalt von 'hl7:title' MUSS ''Allergien, Unverträglichkeiten und Risiken'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.13']]/hl7:section/hl7:text
Item: (AllergienUnvertraeglichkeitenRisiken)
-->
</pattern>
